<?php
require_once(DOL_DOCUMENT_ROOT ."/commonobject.class.php");
require_once(DOL_DOCUMENT_ROOT ."/depotvente/DepotVente.class.php");


class HtmlDepotVente
{

	var $Html;		// Retourn le html a afficher

	
	/***********************
	 * 
	 * Fonction d appel
	 * 
	 ***********************/
	
	function HtmlDepotVente(){
		
	}	
	
	
	/****************************************************
	 * 
	 * Liste les factures avoir fournisseur a debiter
	 * dans le mode de reglement
	 * 
	 ****************************************************/
	
	function Form_Liste_Facture_Avoir($socid, $db){
		
		/*
		 * On verifie les variables d entrees obligatoire
		 */
		
		if ( !isset($socid) or empty($socid) ){
			dol_syslog('DepotVente::List_Facture_Avoir_Depot_Client var socid not isset or empty', LOG_ERR);
			return false;
		}
		
		if ( !isset($db) or empty($db) ){
			dol_syslog('DepotVente::List_Facture_Avoir_Depot_Client var db not isset or empty', LOG_ERR);
			return false;
		}
		
		/*
		 * On recupere la liste des factures pour ce client
		 */
		
		$List_FA = New DepotVente();		
		if ( !$List_FA->List_Facture_Avoir_Depot_Client($socid, $db) ){
			dol_syslog('DepotVente::Form_Liste_Facture_Avoir error on method List_FA::List_Facture_Avoir_Depot_Client', LOG_ERR);
			return false;
		}
		
		/*
		 * On recupere la facture selectioner si fait
		 * Pour le laisser en selection par default
		 */
		if (isset($_POST['fdepot']) && !empty($_POST['fdepot'])){
			$fdepot = $_POST['fdepot'];
		}
		
		
		/*
		 * On retourne l affichage form pour le paiement
		 * avec les factures aux choix pour le débit
		 */
		
		$this->Html = '';
		$this->Html.= '<tr>';
		$this->Html.= '<td>Facture depot à débiter</td>';
		$this->Html.= '<td>';
		
		$this->Html.= '<select class="flat" name="fdepot">';
		$this->Html.= '<option value=""></option>';
		
		$i=0;
		while ( isset($List_FA->Facture_Avoir_Id[$i])){
			
			if ( $fdepot == $List_FA->Facture_Avoir_Id[$i] ){
				$selected = 'selected';
			}
			
			$this->Html.= '<option '.$selected.' value="'.$List_FA->Facture_Avoir_Id[$i].'">';
			$this->Html.= $List_FA->Facture_Number[$i].' '.round($List_FA->Facture_Total_Ht[$i],2).' &#x20AC;';
			$this->Html.= '</option>';
			$this->Html.= "\n";
			
			$i++;
		}
		
		if ( $i== 0 ){
			$this->Html.= '<option '.$selected.' value="">Aucune</option>';
		}
		
		$this->Html.= '</select>';
		
		
		$this->Html.= '</td>';
		$this->Html.= '</tr>';

		return true;
	}
	
	/*
	 * Affiche la categorie dans la fiche
	 */
	
	function html_categorie($db){
		$CategorieProduct = New DepotVente();
		
		// On recupere l id cat depot vente
		if ( !$CategorieProduct->id_cat_depotvente($CategorieProduct->Cat_Name_DepotVente, $db))
		{
			dol_syslog('HtmlDepotVente::html_categorie error on method DepotVente::id_cat_depotvente', LOG_ERR);
			return false;
		}
		else
		{
			dol_syslog('HtmlDepotVente::html_categorie id_depotvente='.$CategorieProduct->Cat_Id_DepotVente, LOG_INFO);
		}
		
		// On recupere la liste des id categorie du produit
		if ( !$CategorieProduct->List_Cat_Product('139684',$CategorieProduct->Cat_Id_DepotVente,$db) )
		{
			dol_syslog('HtmlDepotVente::html_categorie error on methode DepotVente::List_Cat_Product id_cat_vente='.$CategorieProduct->Cat_Id_DepotVente, LOG_ERR);
			return false;
		}
		else
		{
			dol_syslog('HtmlDepotVente::html_categorie id d une cate='.$CategorieProduct->Cat_Id_Array_Product[0].' id_cat_vente='.$CategorieProduct->Cat_Id_DepotVente, LOG_INFO);
		}
		
		
		
		$this->Html = '<tr><td valign="top">Categorie</td><td>';
		$i=0;
		
		while ( isset($CategorieProduct->Cat_Id_Array_Product[$i]) ){
			$this->Html.= $CategorieProduct->Cat_Id_Array_Product[$i];
			$this->Html.= $i;
			$i++;
		}
		
		$this->Html.= 'en developpement</td></tr>';
		return true;
	}

	

}
?>